import request from '@/utils/request'

/** 网银支付开关 */
export function payOnlineChecked(params) {
  return request({
    url: '/pay/online/switch',
    method: 'GET',
    params
  })
}

/** 查询是否成功(微信支付专用) */
export function checkedWinxinPaySuccess(params) {
  return request({
    url: '/pay/auth/vip/check',
    method: 'GET',
    params
  })
}

/** 查询支付是否成功 (支付宝) */
export function checkedAliPaySuccess(params) {
  return request({
    url: '/pay/result/json',
    method: 'GET',
    params
  })
}

/** 查询支付是否成功（银联） */
export function checkedUnionPaySuccess(params) {
  return request({
    url: '/pay/result/union',
    method: 'GET',
    params
  })
}

/** 获取银联支付列表 */
export function fetchBankcodeList(params) {
  return request({
    url: '/pay/bankcode',
    method: 'GET',
    params
  })
}

/** 支付会员预处理 */
export function registerSuperPay(params) {
  return request({
    url: '/vip/pay',
    method: 'GET',
    params
  })
}

/** 支付宝支付会员 */
export function payVipWithAlipay(data) {
  return request({
    url: '/pay/auth/vip/alipay',
    method: 'POST',
    data
  })
}

/** 银联支付会员 */
export function payVipWithUnion(data) {
  return request({
    url: '/pay/auth/vip/union',
    method: 'POST',
    data
  })
}

/** 复制网银支付链接 */
export function createPayUrl(data) {
  return request({
    url: '/pay/link',
    method: 'POST',
    data
  })
}

/** 初始化支付信息linkLogo */
export function fetchPayInfoWithLinkLogo(params) {
  return request({
    url: '/pay/link/data',
    method: 'GET',
    params
  })
}
